<ion-header no-border>
  <ion-navbar color="danger">
    <ion-searchbar
      (ionInput)="search($event)"
      style="background-color: transparent"
      (ionBlur)="blur()"
      (ionFocus)="focus()"
    ></ion-searchbar>
  </ion-navbar>
</ion-header>

<ion-content
  (click)="hidekb()"
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top, #000,#42275a, #734b6d); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top,#000, #42275a, #734b6d);text-align: center"
>
  <ion-row
    [hidden]="
      searchArtist.length !== 0 ||
      searchTracks.length !== 0 ||
      searchAlbum.length !== 0 ||
      searchCountry.length !== 0
    "
  >
    <ion-col col-12></ion-col>
    <ion-col col-3> </ion-col>

    <ion-col col-12 style="text-align: center;color: white">
      {{ 'searchpage' | translate }}
    </ion-col>

    <ion-col col-2> </ion-col>

    <ion-col col-2> </ion-col>

    <ion-col [hidden]="result" col-12 style="text-align: center;color: white">
      {{ 'noResult' | translate }}
    </ion-col>

    <ion-col col-2> </ion-col>
  </ion-row>
  <!-- end -->

  <ion-col
    [hidden]="
      searchArtist.length !== 0 ||
      searchTracks.length !== 0 ||
      searchAlbum.length !== 0 ||
      searchCountry.length !== 0
    "
  >
    <page-moods></page-moods>
  </ion-col>

  <ion-item
    no-lines
    [hidden]="searchArtist.length == 0"
    style="background-color: transparent;color:white"
    >{{ 'artists' | translate }}</ion-item
  >
  <ion-list
    [hidden]="searchArtist.length == 0"
    no-lines
    style="background-color: transparent"
  >
    <ion-item
      *ngFor="let artist of searchArtist"
      block
      clear
      (click)="gotoartist(artist.$key)"
      style="background-color: transparent;color:white"
    >
      <ion-avatar item-left>
        <img-loader useImg class="shadow" src="{{ artist.image }}"></img-loader>
      </ion-avatar>
      <h2>{{ artist.name }}</h2>
    </ion-item>
  </ion-list>

  <ion-item
    no-lines
    [hidden]="searchTracks.length == 0"
    style="background-color: transparent;color:white"
    >{{ 'songs' | translate }}</ion-item
  >
  <ion-list [hidden]="searchTracks.length == 0" no-lines>
    <ion-item
      *ngFor="let artist of searchTracks; let i = index"
      block
      clear
      style="background-color: transparent;color:white"
    >
      <ion-avatar item-left (click)="play(artist, i)">
        <!-- <img class="shadow" [src]="artist.albumArt" /> -->
        <img-loader
          useImg
          class="shadow"
          src="{{ artist.albumArt }}"
        ></img-loader>
      </ion-avatar>
      <h2 (click)="play(artist, i)">
        <ion-icon
          name="play"
          style="opacity: 0.5"
          *ngIf="artist.$key == musicservice.playingTrack.key"
        >
          &nbsp;
        </ion-icon>
        {{ artist.name }}
      </h2>
      <p (click)="play(artist, i)" style="color:floralwhite">
        {{ artist.artistName }}
      </p>
      <ion-icon
        name="more"
        style="opacity: 0.5"
        (click)="more(artist)"
        item-right
      ></ion-icon>
    </ion-item>
  </ion-list>

  <ion-item
    no-lines
    [hidden]="searchAlbum.length == 0"
    style="background-color: transparent;color:white"
    >{{ 'albums' | translate }}</ion-item
  >

  <ion-list [hidden]="searchAlbum.length == 0" no-lines>
    <ion-item
      *ngFor="let artist of searchAlbum"
      block
      clear
      (click)="gotoalbum(artist.$key, artist.artist)"
      style="background-color: transparent;color:white"
    >
      <ion-avatar item-left>
        <img-loader useImg class="shadow" src="{{ artist.image }}"></img-loader>
      </ion-avatar>
      <h2>{{ artist.name }}</h2>
    </ion-item>
  </ion-list>

  <ion-item
    no-lines
    [hidden]="searchCountry.length == 0"
    style="background-color: transparent;color:white"
    >{{ 'country' | translate }}</ion-item
  >
  <ion-list [hidden]="searchCountry.length == 0" no-lines>
    <ion-item
      *ngFor="let country of searchCountry"
      block
      clear
      (click)="gotocountry(country)"
      style="background-color: transparent;color:white"
    >
      <ion-avatar item-left>
        <img-loader
          useImg
          class="shadow"
          src="{{ country.image }}"
        ></img-loader>
      </ion-avatar>
      <h2>{{ country.name }}</h2>
    </ion-item>
  </ion-list>

  <ion-item
    *ngIf="tracks"
    no-lines
    style="background-color: transparent"
  ></ion-item>
</ion-content>

<ion-footer
  *ngIf="!isShownKeyboard"
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top,#000,#42275a); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000,#42275a);border: none"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>

  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color: white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
